@props([
    'height' => null,
    'width' => null
])

@php
    $style = '';

    if (!empty($width)) {
        $style = "--skeleton-width: $width";
    }
    
    if (!empty($height)) {
        $style .= "--skeleton-height: $height";
    }

    $attributes = $attributes
        ->merge([
            'style' => $style
        ])
        ->class([
            'skeleton'
        ]);
@endphp

<span {{ $attributes }}></span>